{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"An existing goal relationship can be updated by making a PUT request on the URL for\nthat goal relationship. Only the fields provided in the `data` block will be updated;\nany unspecified fields will remain unchanged.\n\nReturns the complete updated goal relationship record.","properties":{"path":{"type":"object","properties":{"goal_relationship_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the goal relationship."}},"required":["goal_relationship_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["contribution_weight","resource_subtype","supported_goal","supported_goal.name","supported_goal.owner","supported_goal.owner.name","supporting_resource","supporting_resource.name","supporting_resource.resource_subtype"]},"examples":[["contribution_weight","resource_subtype","supported_goal","supported_goal.name","supported_goal.owner","supported_goal.owner.name","supporting_resource","supporting_resource.name","supporting_resource.resource_subtype"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/GoalRelationshipRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"GoalRelationshipRequest":{"allOf":[{"$ref":"#/definitions/GoalRelationshipBase"},{"type":"object"}]},"GoalRelationshipBase":{"allOf":[{"$ref":"#/definitions/GoalRelationshipCompact"},{"type":"object","properties":{"supported_goal":{"allOf":[{"$ref":"#/definitions/GoalCompact"},{"type":"object","description":"The goal that the supporting resource supports."}]}}}]},"GoalRelationshipCompact":{"description":"A *goal relationship* is an object representing the relationship between a goal and another goal, a project, a task, or a portfolio.","type":"object","properties":{"supporting_resource":{"allOf":[{"$ref":"#/definitions/ProjectCompact"},{"type":"object","description":"The supporting resource that supports the goal. This can be either a project, task, portfolio, or goal."}]},"contribution_weight":{"description":"The weight that the supporting resource's progress contributes to the supported goal's progress. This can be 0, 1, or any value in between.","type":"number","examples":[1]}}},"GoalCompact":{"description":"A generic Asana Resource, containing a globally unique identifier.","type":"object","properties":{"name":{"type":"string","description":"The name of the goal.","examples":["Grow web traffic by 30%"]},"owner":{"allOf":[{"$ref":"#/definitions/UserCompact"},{"type":["object","null"]}]}}},"ProjectCompact":{"description":"A *project* represents a prioritized list of tasks in Asana or a board with columns of tasks represented as cards. It exists in a single workspace or organization and is accessible to a subset of users in that workspace or organization, depending on its permissions.","type":"object","properties":{"name":{"description":"Name of the project. This is generally a short sentence fragment that fits on a line in the UI for maximum readability. However, it can be longer.","type":"string","examples":["Stuff to buy"]},"resource_subtype":{"type":"string","description":"The subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.","enum":["default_project","custom"],"examples":["default_project"]}}},"UserCompact":{"description":"A *user* object represents an account in Asana that can be given access to various workspaces, projects, and tasks.","type":"object","properties":{"name":{"type":"string","description":"*Read-only except when same user as requester*. The user's name.","examples":["Greg Sanchez"]}}}}},"name":"Update a goal relationship","id":"asana.updategoalrelationship","example":{"path":{"goal_relationship_gid":"12345"},"body":{}},"maxRequests":1,"summary":false}}